net.fortuna.ical4j.model

## Class Iso8601

- java.lang.Object
- - java.util.Date
  - - net.fortuna.ical4j.model.Iso8601

All Implemented Interfaces:
  Serializable, Cloneable, Comparable<Date>

Direct Known Subclasses:
  Date, Time

    public abstract class Iso8601
    extends Date

$Id$ Created on 30/06/2005 Base class for date and time representations as defined by the ISO 8601 standard. Sub-classes must ensure that either the correct precision is used in constructor arguments, or that `Object.equals()` is overridden to ensure equality checking is consistent with the type.

Author:
  Ben Fortuna
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`Iso8601(Date time, String pattern, int precision, TimeZone tz)`
`Iso8601(long time, String pattern, int precision, TimeZone tz)`
`Iso8601(String pattern, int precision, TimeZone tz)`

### Method Summary

Methods
`protected DateFormat` `getFormat()`
`void` `setTime(long time)`
`String` `toString()`

### Methods inherited from class java.util.Date

`after, before, clone, compareTo, equals, getDate, getDay, getHours, getMinutes, getMonth, getSeconds, getTime, getTimezoneOffset, getYear, hashCode, parse, setDate, setHours, setMinutes, setMonth, setSeconds, setYear, toGMTString, toLocaleString, UTC`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Iso8601

    public Iso8601(long time,
           String pattern,
           int precision,
           TimeZone tz)

Parameters:
  `time` - a time value in milliseconds
  `pattern` - the formatting pattern to apply
  `precision` - the precision to apply
  `tz` - the timezone for the instance
See Also:
  `Dates.PRECISION_DAY`, `Dates.PRECISION_SECOND`

#### Iso8601

    public Iso8601(String pattern,
           int precision,
           TimeZone tz)

Parameters:
  `pattern` - the formatting pattern to apply
  `precision` - the precision to apply
  `tz` - the timezone for the instance
See Also:
  `Dates.PRECISION_DAY`, `Dates.PRECISION_SECOND`

#### Iso8601

    public Iso8601(Date time,
           String pattern,
           int precision,
           TimeZone tz)

Parameters:
  `time` - a time value as a date
  `pattern` - the formatting pattern to apply
  `precision` - the precision to apply
  `tz` - the timezone for the instance
See Also:
  `Dates.PRECISION_DAY`, `Dates.PRECISION_SECOND`

### Method Detail

#### toString

    public String toString()

Overrides:
  `toString` in class `Date`

#### getFormat

    protected final DateFormat getFormat()

Returns:
  Returns the format.

#### setTime

    public void setTime(long time)

Overrides:
  `setTime` in class `Date`